/*
 * Copyright 2020-2024 Dillinger
 * Copyright 2024-2025 Dylan Van Assche
 * SPDX-License-Identifier: GPL-3.0
 */

var { ExtensionCommon } = ChromeUtils.importESModule("resource://gre/modules/ExtensionCommon.sys.mjs");

var mobileConfigApi = class extends ExtensionCommon.ExtensionAPI {
  getAPI(context) {
    return {
      mobileConfigApi: {
        async toggleFolderPane() {
          Services.wm.getMostRecentWindow("mail:3pane").goDoCommand('cmd_toggleFolderPane');
        },
      },
    };
  }
};
